import 'package:anyway/structs/trip.dart';
import 'package:flutter/material.dart';

class CurrentTripSummary extends StatefulWidget {
  final Trip trip;
  const CurrentTripSummary({
    super.key,
    required this.trip,
    });

  @override
  State<CurrentTripSummary> createState() => _CurrentTripSummaryState();
}

class _CurrentTripSummaryState extends State<CurrentTripSummary> {
  @override
  Widget build(BuildContext context) {
    return Column(
      children: [
        Text('Summary'),
        // Text('Start: ${widget.trip.start}'),
        // Text('End: ${widget.trip.end}'),
        Text('Total duration: ${widget.trip.totalTime}'),
        Text('Total distance: ${widget.trip.totalTime}'),
        // Text('Fuel: ${widget.trip.fuel}'),
        // Text('Cost: ${widget.trip.cost}'),
      ],
    );
    
  }
}